2018.08.01 16:03

Python 외부 라이브러리 numpy 설치

Numpy

   -> Numerical Python 의 줄임말로 고성능 수치계산을 위해 만들어진 파이썬 패키지이다.

vertor, metrix, n-th array 등의 데이터 분석의 필수 도구이다.



다운로드

https://www.lfd.uci.edu/~gohlke/pythonlibs/#numpy



파이썬 버전이 3.6 이면 cp36

Windows 64bit 이면 adm64



설치 명령어 : python -m pip install {다운로드 파일 경로}

ex) python -m pip install D:\numpy-1.15.0+mkl-cp36-cp36m-win_amd64.whl




------------------------------------------------------------------------------------------------------


E:\Work_File\numpy>python -m pip install "numpy-1.15.0+mkl-cp36-cp36m-win_amd64.whl"



numpy-1.15.0+mkl-cp36-cp36m-win_amd64.whl is not a supported wheel on this platform.

You are using pip version 9.0.3, however version 18.0 is available.

You should consider upgrading via the 'python -m pip install --upgrade pip' command.



-----------------------------------------------------------------------------------------------


pip 버전이 낮어 설치가 안된단다.. 이런..


pip 버전 확인은 아래와 같다.


pip --version





그래서 업그레이드 했다.


python -m pip install --upgrade pip


--------------------------------------------------------------------------------------------


E:\Work_File\numpy>python -m pip install --upgrade pip



Collecting pip

  Using cached https://files.pythonhosted.org/packages/5f/25/e52d3f31441505a5f3af41213346e5b6c221c9e086a166f3703d2ddaf940/pip-18.0-py2.py3-none-any.whl

Installing collected packages: pip

  Found existing installation: pip 9.0.3

    Uninstalling pip-9.0.3:

Exception:

Traceback (most recent call last):

  File "C:\Program Files\Python36\lib\shutil.py", line 544, in move

    os.rename(src, real_dst)

PermissionError: [WinError 5] 액세스가 거부되었습니다: 'c:\\program files\\python36\\lib\\site-packages\\pip-9.0.3.dist-info\\description.rst' -> 'C:\\Users\\ravon\\AppData\\Local\\Temp\\pip-z8s9p9i1-uninstall\\program files\\python36\\lib\\site-packages\\pip-9.0.3.dist-info\\description.rst'


During handling of the above exception, another exception occurred:


Traceback (most recent call last):

  File "C:\Program Files\Python36\lib\site-packages\pip\basecommand.py", line 215, in main

    status = self.run(options, args)

  File "C:\Program Files\Python36\lib\site-packages\pip\commands\install.py", line 342, in run

    prefix=options.prefix_path,

  File "C:\Program Files\Python36\lib\site-packages\pip\req\req_set.py", line 778, in install

    requirement.uninstall(auto_confirm=True)

  File "C:\Program Files\Python36\lib\site-packages\pip\req\req_install.py", line 754, in uninstall

    paths_to_remove.remove(auto_confirm)

  File "C:\Program Files\Python36\lib\site-packages\pip\req\req_uninstall.py", line 115, in remove

    renames(path, new_path)

  File "C:\Program Files\Python36\lib\site-packages\pip\utils\__init__.py", line 267, in renames

    shutil.move(old, new)

  File "C:\Program Files\Python36\lib\shutil.py", line 559, in move

    os.unlink(src)

PermissionError: [WinError 5] 액세스가 거부되었습니다: 'c:\\program files\\python36\\lib\\site-packages\\pip-9.0.3.dist-info\\description.rst'

You are using pip version 9.0.3, however version 18.0 is available.

You should consider upgrading via the 'python -m pip install --upgrade pip' command.


-------------------------------------------------------------------------------------------------------------------



이런. 권한이 없단다... 리눅스 같았으면 바로 될것인데. 윈도우니깐 폴더의 권한이 없어서 안된것이다.

귀찮다.


everyone 권한을 아래 폴더에 Full 로 줘버렸다.


C:\Program Files\Python36 


결론은 업그레이드 완료.


설치 또한 완료되었다.



E:\Work_File\numpy>python -m pip install "numpy-1.15.0+mkl-cp36-cp36m-win_amd64.whl"

Processing e:\work_file\numpy\numpy-1.15.0+mkl-cp36-cp36m-win_amd64.whl

Installing collected packages: numpy

Successfully installed numpy-1.15.0+mkl


Trackback 0 Comment 0